package com.oqpo.api.enums;

import lombok.Getter;
import lombok.Setter;

public enum IfCode {

    S01("21000", "정상처리되었습니다."), //
    S02("21001", "일부 미등록 처리 되었습니다."), //
    S03("21002", "전체 미등록 처리 되었습니다."), //
    ;

    IfCode(String cd, String nm) {
        this.cd = cd;
        this.name = nm;
    }

    @Getter
    @Setter
    private String cd;

    @Getter
    @Setter
    private String name;

    public static String getCd(String nname) {
        IfCode[] values = IfCode.values();
        for (IfCode icd : values) {
            if (icd.name.equals(nname)) {
                return icd.cd;
            }
        }
        return nname;
    }

    public static String getName(String ccd) {
        IfCode[] values = IfCode.values();
        for (IfCode icd : values) {
            if (icd.cd.equals(ccd)) {
                return icd.name;
            }
        }
        return ccd;
    }

}
